## nginx 1.22.0

=== debian/changelog ===
nginx (1.22.0-2~exp1) experimental; urgency=medium

  [ Miao Wang ]
  * adding a new libnginx-mod-http-ndk-dev package including necessary
    headers to build a 3rd party module depending on ndk.

  [ Jan Mojžíš ]
  * d/nginx-common.nginx.service: added Systemd dependency
    Wants=network-online.target and updated Systemd "After" dependency to
    recommended NGINX values, namely:
    - network-online.target
    - remote-fs.target
    - nss-lookup.target
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch: forwarded
    to upstream
  * d/t/reboot: added, tests if nginx works after reboot
  * d/m/p/http-subs-filter/pcre2.patch: added PCRE2 support
  * http-lua: removed lua module
  * d/control: changed dependency libpcre3-dev -> libpcre2-dev

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + nginx-common: Drop versioned constraint on lsb-base in Depends.
    + nginx-core: Drop versioned constraint on nginx in Breaks.
    + nginx-full: Drop versioned constraint on nginx in Breaks.
    + nginx-light: Drop versioned constraint on nginx in Breaks.
    + nginx-extras: Drop versioned constraint on nginx in Breaks.
    + libnginx-mod-http-perl: Drop versioned constraint on nginx-extras in
      Replaces.
    + Remove 5 maintscript entries from 1 files.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 10 Jul 2022 07:58:44 +0200

nginx (1.22.0-1) unstable; urgency=medium

  [ Thomas Ward ]
  * New upstream release (1.22.0)
  * Additional changes:
    * d/conf/mime.types: Fix a typo in font/woff2 extension in
      mime.types.  (Closes: #1010798)
    * d/upstream/signing-key.asc: Additional signing keys observed
      in upstream (Konstantin Pavlov <k.pavlov@f5.com>) during
      upstream merge/import by Thomas Ward, additional signing key
      was added to the keyring while keeping Maxim's key in signing
      keys as well.
    * d/copyright: Updated copyright for src/core/ngx_murmurhash.c
      and debian/modules/http-ndk/src/hash/murmurhash2.c to be
      public-domain (Closes: #1011936)
  * d/control: Use libluajit-5.1-dev for s390x.
    Due to src:luajit2 landing in Unstable, superseding src:luajit,
    and due to luajit2 having s390x support, we can use s390x now
    with luajit instead of standard Lua.
    Thanks to Paul Gevers for the heads up on luajit2 supporting s390x.
  * d/control: Use liblua for ppc64el - src:luajit2 is still not ppc64el
    stable and there seems to be nobody willing to support it. (Closes: 1013807)

  [ Jan Mojžíš ]
  * d/patches/CVE-2021-3618.patch removed, fix is included in new upstream
  release
  * d/copyright: bump nginx copyright years
  * d/copyright: added copyright for src/stream/ngx_stream_set_module.c
  * d/copyright: removed copyright for src/http/v2/ngx_http_v2_huff_encode.c
  * d/control: bump Standards-Version to 4.6.1, no changes

  [ Bastian Germann ]
  * d/copyright: Update copyright for d/debhelper/*

  [ Miao Wang ]
  * dh_nginx: support auto generating module config files
  * adding a new nginx-dev package including necessary headers and debhelper
    scripts to build and package a 3rd party module. (Closes: 985133)
  * d/p/0002-Make-sure-signature-stays-the-same-in-all-nginx-buil.patch
    removed, because feature already implemented with --with-compat configure
    option since 1.11.5

 -- Thomas Ward <teward@ubuntu.com>  Tue, 10 May 2022 12:08:02 -0400
